#468 Problem with Validation highlighting

open
nobody
Editor (234)
7
2008-01-19
2008-01-18
No

Dear friends,

I got installed the epic 0.6.13 on eclipse 3.3
and exported all my production modules/files on to location machine(windows xp) which pefectly running without any warnings and errors having strict module usage.

But, when open these exported perl file/module file, got found strange with epic editor with following -
1. All validation errors highlights.
2. Wrong link to line with error hight in problem view
3. Meaningless Warnings with wrong link to a line in the code. In the Problem view, this warning link to some rand line in the code, seems. It never navigate to referred line either in the some file or link to any required module.
4. Incorrect warning, though variable is being initialized in the parent module (.pm) and being used in the child perl module/file (.pl).

Most hightlighted errors are, though those are correct and perfectly working code.

1. Global Symbol issues.
2. Missing right curly or square bracket
3. syntax error at the end of all errors and that links to some commented line (#...)
4. Bareword found where operator expected, Scalar found where operator expected and linked to a line where open curly bracket of the method.
5. Backslash found where operator expected

In detail -

1. Global symbol "@arrStrConsistFileContent" requires explicit package name dev/bin/perl UpdateSharedConsist.pm line 303 1200679033362 3912
2. Missing right curly or square bracket dev/bin/perl UpdateSharedConsist.pm line 567 1200679033127 3894

3. syntax error dev/bin/perl UpdateSharedConsist.pm line 286 1200679033362 3913
4. Backslash found where operator expected dev/bin/perl UpdateSharedConsist.pm line 131 1200679033940 3993

MeaningLess warnings -
1. Backslash found where operator expected dev/bin/perl UpdateSharedConsist.pm line 131 1200679033940 3993
2. Possible unintended interpolation of @arrStrConsistFileContent in string dev/bin/perl UpdateSharedConsist.pm line 303 1200679033408 3917
3. Scalar found where operator expected dev/bin/perl UpdateSharedConsist.pm line 128 1200679033971 3996

4. String found where operator expected dev/bin/perl UpdateSharedConsist.pm line 236 1200679033565 3941
5. Use of uninitialized value in concatenation (.) or string in P:/nupworkspace/dev/bin/perl/NupCommonFunctions.pm line 52 dev/bin/perl UpdateSharedConsist.pm Unknown 1200687282455 5877

And observed that, Globabl varilable validation highlighting is on
1. if there is derived variable is in use at perl file by having declared in at module (.pm).
2. if a variable is being declared and initialized at method level and used in the foreach loop though at same method level.

But, I wish see the atleast some nice working version, since, I love working with perl and got to see the excellent tool - EPIC. Excellent job.

Regards,
~S

Discussion

1 2 > >> (Page 1 of 2)
    • labels: --> Editor
    • priority: 5 --> 7
     
  • Jan Ploski
    Jan Ploski
    2008-01-23

    Logged In: YES
    user_id=86907
    Originator: NO

    For the most part, I can't understand you (e.g., "Globabl variable validation highlighting"??). You must also realize that the code references included in your report are useless without the code (they give no clue on how to reproduce your problem). I suggest that you upgrade to 0.6.18 (always a good idea to run the newest version) and that you check whether your files don't have strange characters or incorrect line endings in them (e.g. Unix line termination characters under Windows or the linke). What happens when you run "perl -c filename.pm" on the offending file(s) from the DOS prompt? Are errors also reported?

     
  • Logged In: YES
    user_id=208945
    Originator: YES

    There is no issue, when I do "perl -c filename.pm" at DOS prompt or in unx prompt!

    Where is 0.6.18 version? I could able find only 0.6.13 (testing version) is the latest.
    And I did tried with 0.5.x (Stable version, too.

     
  • Jan Ploski
    Jan Ploski
    2008-01-25

    Logged In: YES
    user_id=86907
    Originator: NO

    The upgrade process is explained on the first few pages of the user's guide.

     
  • Logged In: YES
    user_id=208945
    Originator: YES

    Dear jploski,
    I did upgrade to e-p-i-c 0.6.19 and found that, the incorrect high light is still there, though are no errors in the code.
    Please see the attachment for the complete snap shots and details.

    I really thankful for your help on getting this to correct working usage condition.

    ~S
    File Added: Page 1 - epic0.6.19-is also suffering with invalid highlight.doc

     
  • Logged In: YES
    user_id=208945
    Originator: YES

    File Added: Page 2 - epic0.6.19-is also suffering with invalid highlight.doc

     
  • Logged In: YES
    user_id=208945
    Originator: YES

    File Added: Page 3 - epic0.6.19-is also suffering with invalid highlight.doc

     
1 2 > >> (Page 1 of 2)